# GroundGeometryUpdater

#### new Cesium.GroundGeometryUpdater(options)
DataSources/GroundGeometryUpdater.js 52

An abstract class for updating ground geometry entities.

Name | Type | Description
--- | --- | ---

`options`

Object

An object with the following properties:

Name | Type | Description
--- | --- | ---
`entity` | Entity | The entity containing the geometry to be visualized.
`scene` | Scene | The scene where visualization is taking place.
`geometryOptions` | Object | Options for the geometry
`geometryPropertyName` | String | The geometry property name
`observedPropertyNames` | Array.<String> | The entity properties this geometry cares about

### Members

#### readonlyterrainOffsetProperty : TerrainOffsetProperty
DataSources/GroundGeometryUpdater.js 83

Gets the terrain offset property

#### readonlyzIndex : Number
DataSources/GroundGeometryUpdater.js 71

Gets the zindex

### Methods

#### destroy()
DataSources/GroundGeometryUpdater.js 137

Destroys and resources used by the object. Once an object is destroyed, it should not be used.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.